<?php

/**
 * Plugin name: Basic Pages
 * Description: Creates pages for your website
 * 
 * 
 **/

set_value([

	'admin_route'	=>'admin',
	'plugin_route'	=>'pages',
	'tables'		=> [
		'pages_table' => 'pages',
	],

]);

/** check if all tables exist **/
$db = new \Core\Database;
$tables = get_value()['tables'];

if(!$db->table_exists($tables)){
	dd("Missing database tables in ".plugin_id() ." plugin: ". implode(",", $tables));
	die;
}

/** set user permissions for this plugin **/
add_filter('permissions',function($permissions){

	$permissions[] = 'view_pages';
	$permissions[] = 'add_page';
	$permissions[] = 'edit_page';
	$permissions[] = 'delete_page';

	return $permissions;
});


/** run this after a form submit **/
add_action('controller',function(){

	$vars = get_value();

	if(page() == $vars['admin_route'] && URL(1) == $vars['plugin_route'])
		require plugin_path('controllers/controller.php');
});


/** displays the view file **/
add_action('basic-admin_main_content',function(){

	$vars = get_value();

	if(page() == $vars['admin_route'] && URL(1) == $vars['plugin_route'])
		require plugin_path('views/admin/view.php');
});


/** displays the view file **/
add_action('view',function(){

	$vars = get_value();

	//require plugin_path('views/frontend/view.php');
});


/** for manipulating data after a query operation **/
add_filter('after_query',function($data){

	
	if(empty($data['result']))
		return $data;

	foreach ($data['result'] as $key => $row) {
		


	}

	return $data;
});


